Please sync Ecere SDK 0.44.06 to fix amd64/PowerPC FTBFS

Bug #1153763 reported by Jerome St-Louis on 2013-03-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ecere-sdk (Ubuntu)
Low
Unassigned

Bug Description

Version 0.44.05 of the Ecere SDK adds 64 bit support, which was previously lacking.
It also fixes many bugs.

No other package depends on this at the moment.

The Debian build with new packaging can be found at http://mentors.debian.net/package/ecere-sdk .

Alternatively, original source is found at https://github.com/ecere/sdk/archive/0.44.05.tar.gz
And Debian packaging at: https://github.com/ecere/sdk/archive/0.44.05-1.tar.gz

Relevant part of the changelog:

ecere-sdk (0.44.05-1) unstable; urgency=low

  * Fixed memory corruption bugs

 -- Jerome St-Louis <email address hidden> Mon, 18 Mar 2013 04:36:00 -0400

ecere-sdk (0.44.04-1) unstable; urgency=low

  * Various Bug Fixes
  * MinGW-w64 Support
  * 64 Bit Support
  * Basic Android Support
  * Improved FreeBSD Support
  * Improved OS X Support

 -- Jerome St-Louis <email address hidden> Sun, 10 Mar 2013 12:00:00 -0400

Successful build on Raring PPA with version matching 0.44.04:

https://code.launchpad.net/~ecere-team/+archive/ppa/+build/4378630

Thanks!

-Jerome

description: updated
description: updated
description: updated
Dimitri John Ledkov (xnox) wrote :

This is IMHO a very convoluted sync request.
This is not a new package, as it already exists on some architectures (!amd64).
And it's a micro-point release of many portability bugfixes.

Changed in ecere-sdk (Ubuntu):
status: New → Triaged
importance: Undecided → Low
summary: - [FFe] Please update to Ecere SDK 0.44.04 for 64 bit support
+ Please sync Ecere SDK 0.44.04 to fix amd64 FTBFS
summary: - Please sync Ecere SDK 0.44.04 to fix amd64 FTBFS
+ Please sync Ecere SDK 0.44.05 to fix amd64 FTBFS
description: updated
description: updated
Jerome St-Louis (jerstlouis) wrote :

Version 0.44.06 fixes the PowerPC FTBFS introduced in 0.44.05, and a few other bugs.

The Debian build with new packaging can be found at http://mentors.debian.net/package/ecere-sdk .

Alternatively, original source is found at https://github.com/ecere/sdk/archive/0.44.06.tar.gz
And Debian packaging at: https://github.com/ecere/sdk/archive/0.44.06-1.tar.gz

Relevant part of the changelog:

ecere-sdk (0.44.06-1) unstable; urgency=low

  * Fixed bugs causing build to fail on PowerPC
  * Fixed cross-bitness compiling issues
  * Fixed UTF8 text processing issues
  * Fixed serialization/unserialization of Map container objects
  * Fixed ListBox row moving bug
  * Fixed ColorPicker in IDE to be consistent with other dialogs
  * Enabled holding up/down buttons down to reorder directories
    in compiler settings
  * Relying on giflib rather than bundled libungif, taking out deps folder
    for Debian packages (Resolves Debian #703444)

 -- Jerome St-Louis <email address hidden> Thu, 28 Mar 2013 01:00:00 -0400

Successful build on Raring PPA with version matching 0.44.06:

https://code.launchpad.net/~ecere-team/+archive/ppa/+build/4406398

Thanks!

-Jerome

summary: - Please sync Ecere SDK 0.44.05 to fix amd64 FTBFS
+ Please sync Ecere SDK 0.44.06 to fix amd64/PowerPC FTBFS
Dimitri John Ledkov (xnox) wrote :

This bug was fixed in the package ecere-sdk - 0.44.06-1
Sponsored for Jerome St-Louis (jerstlouis)

---------------
ecere-sdk (0.44.06-1) experimental; urgency=low

  * Fixed bugs causing build to fail on PowerPC
  * Fixed cross-bitness compiling issues
  * Fixed UTF8 text processing issues
  * Fixed serialization/unserialization of Map container objects
  * Fixed ListBox row moving bug
  * Fixed ColorPicker in IDE to be consistent with other dialogs
  * Enabled holding up/down buttons down to reorder directories
    in compiler settings
  * Relying on giflib rather than bundled libungif, taking out deps folder
    for Debian packages (Closes: #703444)

 -- Jerome St-Louis <email address hidden> Thu, 28 Mar 2013 01:00:00 -0400

Changed in ecere-sdk (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers